liboggz (1.1.3-3) unstable; urgency=medium

  * Team upload
  * Remove obsolete debian/source/include-binaries
  * Update Lintian override

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Jan 2026 10:29:07 -0500

liboggz (1.1.3-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Remove apparently unnecessary Build-Depends: vorbis-tools
  * debian/watch: Convert to Version: 5
  * Bump Standards Version to 4.7.3

  [ Alexandre Detiste ]
  * Remove unnecessary debian/README.source

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Jan 2026 09:00:40 -0500

liboggz (1.1.3-1) unstable; urgency=medium

  * Team upload.

  * New upstream version 1.1.3
  * Updated Standards-Version from 4.7.0 to 4.7.1.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 22 Feb 2025 10:50:17 +0100

liboggz (1.1.2-5) unstable; urgency=medium

  * Team upload.

  * Added build-essential as autopkgtest dependency for gcc.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 13 Feb 2025 00:04:38 +0100

liboggz (1.1.2-4) unstable; urgency=medium

  * Team upload.

  * Drop running our tests during build, as src/test/ do a better job.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 12 Feb 2025 08:43:35 +0100

liboggz (1.1.2-3) unstable; urgency=medium

  * Team upload.

  * Added autopkgtest checking compiling with oggz library.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 12 Feb 2025 08:04:05 +0100

liboggz (1.1.2-2) unstable; urgency=medium

  * Team upload.

  * Updated Standards-Version from 4.6.0 to 4.7.0.
  * Added postinst maintscript to remove obsolete
    /etc/bash_completion.d/oggz (Closes: #990153).
  * Only install valgrind for autopkgtest on archs where it is available.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 09 Feb 2025 15:44:02 +0100

liboggz (1.1.2-1) unstable; urgency=medium

  * Team upload.

  * New upstream version 1.1.2 (Closes: #964301, #964304, #964306,
    #964300, #964302, #964303, #594180).
   - Dropped man-page-typos.diff merged upstream.
   - Dropped autoreconf.patch merged upstream.
  * Replaced obsolete build depend pkg-config with pkgconf.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 09 Feb 2025 00:17:00 +0100

liboggz (1.1.1-8) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + liboggz2: Add Multi-Arch: same.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on bash-completion.
  * Fix day-of-week for changelog entry 0.9.7-1.

  [ Dennis Braun ]
  * Bump dh-compat to 13
  * Bump S-V to 4.6.0
  * Set Rules-Requires-Root: no
  * override_dh_strip is not needed anymore

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 29 Sep 2021 22:08:56 +0200

liboggz (1.1.1-7) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Removing redundant Priority field in binary package
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Florian Schlichting ]
  * Set Maintainer address to Debian Multimedia Maintainers (closes: #899586)
  * Use secure URIs for xiph.org
  * Update d/copyright to copyright-format 1.0
  * Bump dh compat to level 12
  * Enable all hardening build flags
  * Mark html and latex docs, as well as liboggz.la, as not-installed
  * Transition to automatic dbgsym package
  * Add Build-Depends-Package field to symbols file
  * Declare compliance with Debian Policy 4.3.0
  * Drop autoreconf from dh call, obsolete at this compat level
  * Override lintian error license-problem-non-free-RFC: these files are not
    actually RFCs (but quote the RFC license text)

 -- Florian Schlichting <fsfs@debian.org>  Mon, 25 Feb 2019 00:33:34 +0100

liboggz (1.1.1-6) unstable; urgency=medium

  * Drop ancient binutils build dependency satisfied in wheezy.
  * Adjust d/rules to not run testsuite when DEB_BUILD_OPTIONS=nocheck.
    (Closes: #873158)
  * Disable b-d on vorbis-tools with nocheck to break bootstrap cycle.
    (Closes: #873276)
  * Updated Standards-Version from 3.9.8 to 4.1.0.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 26 Aug 2017 09:46:54 +0200

liboggz (1.1.1-5) unstable; urgency=medium

  * Changed Standards-Version from 3.9.6 to 3.9.8.
  * Added d/gbp.conf to enforce using pristine-tar.
  * Added vorbis-tools as build dependency, it is needed by the selftest script.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 26 May 2016 14:49:57 +0200

liboggz (1.1.1-4) unstable; urgency=medium

  * Added Ralph Giles as uploader.
  * Added simple autopkgtest script to verify oggz-info is working.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 26 May 2016 10:07:10 +0200

liboggz (1.1.1-3) unstable; urgency=low

  [ Martin Steghöfer ]
  * Start new version
  * Updated meta information (VCS and Homepage)

  [ Petter Reinholdtsen ]
  * Drop John Francesco Ferlito and add me and Martin Steghöfer as uploaders.
  * Updated standards-version from 3.9.3 to 3.9.6.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 22 Oct 2014 07:43:13 +0200

liboggz (1.1.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adding changes from Ubuntu (see below), with some cleaning up on top
    - pkg-config added to Build-Depends, not mentioned below

  [ Dimitri John Ledkov ]
  * Use dh-autoreconf to update libtool for ppc64el.
  * Specify location to extra m4 macros, in configure.ac.
  * Drop quilt addon, it's a 3.0 (quilt) package.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 22 May 2014 22:22:34 +0100

liboggz (1.1.1-2) unstable; urgency=low

  * Fixed typos (LP: #789179, Closes: #659972)
    - Change "once" to "ones"
    - Change "removed" to "remove"
    - Thanks to Benjamin Kerensa
  * Bump Standards Version to 3.9.3 (no changes)
  * Move to debhelper 9
  * Use dh autotools-dev
  * Update for multi-arch

 -- John Francesco Ferlito <johnf@inodes.org>  Sun, 18 Nov 2012 11:51:35 -0800

liboggz (1.1.1-1) unstable; urgency=low

  * New upstream release.
    - Remove patches/build_on_gnu.
    - m4 directory now included (Closes: #574765).
  * Removed quilt.
  * Added source format.

 -- John Francesco Ferlito <johnf@inodes.org>  Thu, 29 Apr 2010 22:05:29 +1000

liboggz (1.1.0-2) unstable; urgency=low

  * Move to dh7 rules.
  * Added ${misc:Depends}.
  * Fix FTBFS on hurd-i386, update configure patch (Closes: #557537).

 -- John Francesco Ferlito <johnf@inodes.org>  Sun, 27 Dec 2009 07:54:15 +1100

liboggz (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/rules
    + Add make check back in
  * debian/control
    + Rename to liboggz2 due to SONAME change
  * Rename bits under debian/ to liboggz2
  * Create debian/liboggz2.symbols

 -- John Francesco Ferlito <johnf@inodes.org>  Fri, 09 Oct 2009 11:35:41 +1100

liboggz (1.0.0-2) unstable; urgency=low

  * config.{sub,guess} from autotools-dev is now up to date (Closes: #540360)
  * Improve making the man pages linitan clean. Upstream is working on a patch.

 -- John Francesco Ferlito <johnf@inodes.org>  Sun, 04 Oct 2009 14:30:37 +1100

liboggz (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Now maintained by Debian Xiph.org Maintainers.
  * Updated Bzr-Vcs to point at alioth.
  * Added Uploaders.
  * Updated debian/copyright to point at alioth pkg-xiph team.
  * Support for GNU/kFreeBSD included upstream. (Closes: 539563)
  * Removed patch for mising man page.
  * Bump Standards Version to 3.8.3 (no changes)

 -- John Francesco Ferlito <johnf@inodes.org>  Fri, 25 Sep 2009 22:14:56 +1000

liboggz (0.9.9-4) unstable; urgency=low

  * Move -dbg package to debug section.

 -- John Francesco Ferlito <johnf@inodes.org>  Tue, 12 May 2009 10:27:42 +1000

liboggz (0.9.9-3) unstable; urgency=low

  * Add libtool to Build-Depends

 -- John Francesco Ferlito <johnf@inodes.org>  Tue, 12 May 2009 01:28:27 +1000

liboggz (0.9.9-2) unstable; urgency=low

  * Add bash_completion file to oggz-tools package

 -- John Francesco Ferlito <johnf@inodes.org>  Tue, 12 May 2009 00:49:20 +1000

liboggz (0.9.9-1) unstable; urgency=low

  * New upstream release.
  * Update watch location to xiph.org address.
  * Add missing man page oggz.1, fixed in upstream
  * Add debian/symbols
  * Cleanup debian/rules

 -- John Francesco Ferlito <johnf@inodes.org>  Tue, 12 May 2009 00:28:45 +1000

liboggz (0.9.8-1) unstable; urgency=low

  * New upstream release. (Closes: #489509)
  * Close bugs fixed in previous releases
    - Warn against merging multiple Ogg Vorbis files with
      oggzmerge. (Closes: #280550)
    - Fix oggzdump creating invalid headers. (Closes: #455368)
    - Man pages seem to be mis-coded. (Closes: #399727)
  * Updated Standards Version to 3.8.0 (no changes)
  * Add DM-Upload-Allowed: yes to debian/control

 -- John Ferlito <johnf@inodes.org>  Wed, 16 Jul 2008 18:31:58 +1000

liboggz (0.9.7-1) unstable; urgency=low

  * New upstream.
  * New maintainer.
  * Update to comply with standards version 7.2.3
  * Check debian/watch is up to date. closes: #449986
  * update control to use $binary:Version

 -- John Ferlito <johnf@inodes.org>  Sat, 03 May 2008 23:11:18 +1100

liboggz (0.9.5-4) unstable; urgency=low

  * Added libtool .la file to the -dev package, from Ubuntu's diff of
    liboggz 0.9.3-0ubuntu1.  Thanks Jeff.

 -- Jamie Wilkinson <jaq@debian.org>  Wed,  5 Apr 2006 09:58:11 +1000

liboggz (0.9.5-3) unstable; urgency=low

  * Dump config.log if configure blows up.

 -- Jamie Wilkinson <jaq@debian.org>  Mon,  3 Apr 2006 22:18:12 +1000

liboggz (0.9.5-2) unstable; urgency=low

  * Updated dependencies per recommednations in the Library Packaging
    Guide:
   - Don't replace liboggz0.
   - Provide and conflict liboggz-dev.

 -- Jamie Wilkinson <jaq@debian.org>  Mon,  3 Apr 2006 21:39:06 +1000

liboggz (0.9.5-1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Mon,  3 Apr 2006 16:24:33 +1000

liboggz (0.9.4-1) unstable; urgency=low

  * New upstream release.
  * Updated files list due to DSO filename change.

 -- Jamie Wilkinson <jaq@debian.org>  Mon,  3 Apr 2006 16:17:25 +1000

liboggz (0.9.3-1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Mon,  3 Apr 2006 15:54:57 +1000

liboggz (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.6.2 (no other changes necessary).

 -- Jamie Wilkinson <jaq@debian.org>  Mon,  3 Apr 2006 15:51:28 +1000

liboggz (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 16 Apr 2005 01:19:44 +1000

liboggz (0.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 16 Apr 2005 01:09:49 +1000

liboggz (0.8.6-1) unstable; urgency=low

  * New upstream version.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 16 Apr 2005 00:59:56 +1000

liboggz (0.8.5-1) unstable; urgency=low

  * New upstream version.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 13 Oct 2004 15:34:08 +1000

liboggz (0.8.3-2) unstable; urgency=low

  * Added watchfile.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 13 Oct 2004 15:21:50 +1000

liboggz (0.8.3-1) unstable; urgency=low

  * New upstream release.
  * Regenerate autogoat files.
  * Added oggz-tools and liboggz-dbg packages.

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 13 Jun 2004 14:50:43 +1000

liboggz (0.8.2-2) unstable; urgency=low

  * Loosen the files list for liboggz1-dev so that files don't get
    inadvertently missed.  Thanks to Sebastian Muszynski for the patch.
    (Closes: #242956)

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 13 Apr 2004 21:48:13 +1000

liboggz (0.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 11 Mar 2004 22:08:53 +1100

liboggz (0.8.1-2) unstable; urgency=low

  * Regenerate the autotools scripts.  (Closes: #237236)

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 11 Mar 2004 08:06:25 +1100

liboggz (0.8.1-1) unstable; urgency=low

  * New upstream version.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 10 Mar 2004 22:32:16 +1100

liboggz (0.8.0-2) unstable; urgency=low

  * Add dependency on libogg-dev to liboggz1-dev.

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 16 Feb 2004 12:52:20 +1100

liboggz (0.8.0-1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Fri, 16 Jan 2004 16:56:11 +1030

liboggz (0.5.43-1) unstable; urgency=low

  * Initial Release.

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 12 Jan 2004 14:36:32 +1030
